#! /bin/sh
#
# 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
#
# $Header:por.sh 1.1$ 
# $ACIS:por.sh 1.1$ 
# $Source: /ibm/acis/usr/src/etc/RCS/por.sh,v $ 
#
# script to Power On Reset (por) the other processor
#

CON_ALTCPU_POR=0xc004630c

option=

cmd=$CON_ALTCPU_POR

for i in ${*-1}
do
	case "$i" in
	-v)	option=$i
		;;
	*)
		/etc/syscall $option = $i + 0 99 \; ioctl 0 $cmd \&\$99 \; < /dev/console
		;;
	esac
done
